*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: poppins;
}

body, html{
    height: 100%;
    width: 100%;
}

body{
    background-color: #F8F7F4;
    font-weight: 500;
    overflow-x: hidden;
}

button{
    cursor: pointer;
}


/* Page 1 */
.page-1{
    height: 100%;
    width: 100%;
}

nav{
    height: 7vw;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 3vw;
}

nav a{
    text-decoration: none;
    color: black;
    font-size: 1.1vw;
}

.ri-menu-2-line{
    display: none;
}

.left{
    display: flex;
    align-items: center;
    gap: 2.5vw;
    position: relative;
}

.left img{
    position: relative;
    top: -.4vw;
    width: 7vw;
}

.right{
    display: flex;
    align-items: center;
    gap: 2vw;
}

.search{
    background-color: #fff;
    padding: 10px 15px;
    border-radius: 2vw;
    border: none;
}

.search i{
    font-size: 1.5vw;
    color: #8c8a94;
}
.search input{
    border: none;
    font-size: 1.1vw;
}

.right button{
    padding: .8vw 1.8vw;
    font-size: 1.1vw;
    background-color: black;
    color: #fff;
    border: none;
    border-radius: 2vw;
}

/* center */
.center{
    height: calc(100% - 7vw);
    width: 100%;
    padding: 7vw 0 0 0;
    position: relative;
}

.center h4:nth-child(1){
    display: inline-block;
    padding: .5vw 1.2vw;
    border-radius: 2vw;
    font-weight: 500;
    animation: color-anime 20s linear infinite;
    position: relative;
    left: 50%;
    transform: translate(-50%);
    margin-bottom: 2.5vw;
    font-size: 1.1vw;
}

.center h3{
    font-size: 1.5vw;
}

@keyframes color-anime {
    0%{
        background-color: #f5cb71;
    }
    50%{
        background-color: #e486d9;
    }
    100%{
        background-color: #f5cb71;
    }
}

.center h1{
    font-family: 'source serif 4';
    font-size: 5.5vw;
    text-align: center;
    font-weight: 500;
    line-height: 1;
}

.center-bottom{
    text-align: center;
    margin: 2.5vw 0;
    font-weight: 500;
}

.center button{
    position: relative;
    left: 50%;
    transform: translate(-50%);
    padding: 1.2vw 1.5vw;
    color: white;
    background-color: #0d0d23;
    border-radius: 2vw;
    border: none;
    font-size: 1.1vw;
}

/* infinite-scroll */
.scroller{
    height: fit-content;
    width: fit-content;
    padding: 1vw 0;
    display: flex;
    overflow-x: auto;
    overflow-y: hidden;
}

.scroller::-webkit-scrollbar{
    display: none;
}

.infinite-scroll{
    height: 25vw;
    width: 100%;
    white-space: nowrap;
    animation: infinite-scroll 20s linear infinite;
    display: flex;
    flex-wrap: nowrap;
}



.infinite-scroll .elem{
    flex-shrink: 0;
    background-color: rgb(184, 167, 247);
    height: 100%;
    width: 19vw;
    border-radius: 2vw;
    border: none;
    overflow: hidden;
    margin-right: 2vw;
    position: relative;
}

@keyframes infinite-scroll {
    from{
        transform: translateX(0);
    }
    to{
        transform: translateX(-100%);
    }
}

.elem img{
    height: 100%;
    width: 100%;
    object-fit: cover;
}
.elem video{
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.elem .content{
    position: absolute;
    bottom: 1vw;
    left: 1.5vw;
    color: white;
}

.elem .content h4{
    font-weight: 500;
    font-size: 1vw;
    margin-bottom: 1vw;
}

.elem .content button{
    background-color: transparent;
    color: white;
    border: 1px solid white;
    padding: .5vw .8vw;
    border-radius: 1.2vw;
    font-size: .8vw;
    margin-right: .3vw;
}

/* page-3 */
.page-3{
    height: fit-content;
    width: 100%;
    padding: 6vw 0;
    position: relative;
}

.page-3 h1{
    font-size: 3.5vw;
    text-align: center;
    font-family: 'source serif 4';
    font-weight: 500;
}

.page-3 .content{
    height: 100%;
    width: 100%;
    padding: 5vw 0;
    display: grid;
    grid-template-columns: 20% 20% 20% 20%;
    grid-template-rows:  33vh 33vh 33vh 33vh 33vh ;
    justify-content: center;
    gap: 3vw;
}

.page-3 .elem{
    height: 100%;
    width: 100%;
    border-radius: 1vw;
    overflow: hidden;
    position: relative;
    cursor: pointer;
}

.page-3 .elem img{
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.elem:hover .effect{
    opacity: 1;
}

.effect{
    height: 40%;
    width: 100%;
    background: linear-gradient(transparent,rgb(0, 0, 0));
    position: relative;
    bottom: 32%;
    opacity: 0;
    display: flex;
    /* align-items: center; */
    justify-content:center;
    gap: .8vw;
    transition: all .2s linear;
}

.effect h4{
    color: white;
    height: fit-content;
    margin-top: 3%;
    margin-right: 15%;
    font-weight: 500;
}

.effect i{
    background-color: #fff;
    height: 2vw;
    width: 2vw;
    border-radius: 50%;
    display: grid;
    place-content: center;
    padding: 1.4vw;
}

.page-3-bottom{
    position: relative;
    display: inline-block;
    left: 50%;
    transform: translate(-50%);
    width: fit-content;
    padding: 1vw 1.5vw;
    border: 1px solid black;
    border-radius: 2vw;
    font-weight: 500;
    cursor: pointer;
}

/* page-4 */
.page-4{
    height: 100vh;
    width: 100%;
    background-color: #fedb79;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 3vw;
}

.page-4 h1{
    font-size: 5vw;
    font-weight: 600;
    font-family: 'source serif  4'
}
.page-4 h5{
    text-align: center;
    font-size: 1.5vw;
    font-weight: 400;
}

.page-4 button:nth-child(1){
    background-color: black;
    color: white;
    border-radius: 2vw;
    padding: 1.2vw 1.7vw;
    border: none;
    font-weight: 600;
    margin-right: 1vw;
}
.page-4 button:nth-child(2){
    background-color: white;
    color: black;
    border-radius: 2vw;
    padding: 1.2vw 1.7vw;
    border: none;
    font-weight: 600;
    margin-right: 1vw;
}

.page-4 h5 span{
    text-decoration: underline;
    cursor: pointer;
}



/* infinite-scroll */
.bottom-scroller{
    padding: 4vw 0;
}

.bottom-infinite-scroll{
    height: 13vw;
}
.bottom-infinite-scroll .elem{
    width: 17vw;
    border-radius: .5vw;
}

/* footer */
footer{
    height: 36vh;
    width: 100%;
    padding: 2vw 5vw 4vw  5vw;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

footer .top{
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

footer .top img{
    position: relative;
    top: -.4vw;
    width: 7vw;
}

footer a{
    text-decoration: none;
    color: black;
    font-size: 1.1vw;
}

footer .top .services{
    display: flex;
    gap: 2.5vw;
}
footer .top .social{
    display: flex;
    gap: 1vw;
    font-size: 1.7vw;
    cursor: pointer;
}

footer .bottom{
    display: flex;
    justify-content: space-between;
}

.bottom-left{
    display: flex;
    gap: 1vw;
}
.bottom-right{
    display: flex;
    gap: 1vw;
}
.bottom a{
    font-size: 1vw;
    color: #9c6e7a;
}